General help

 
 
Picture of Terry martin
Moodle 2.4.1: Collapsible menus do not work.
 

I’m using W7 64-bit with IE9.  Also using on Mac, Safari vs. 6.  When I go to click on the Site Administration link, it does not open the menus.  In fact, most of the gray links will not open the menus.  The only systems in my office that will access the site include a laptop running W8 with IE10 and my iPad with the retina display. 

Google Chrome on the W7 machine works just fine.  If I copy a link in the Site Administration menu from Google Chrome to IE9 and paste it in the address bar, it will go to that part of the site and I can make changes.  This gave me the idea to go to my Mac and turn on the Developer tools.  When I did, I turned off Java Script.  When I did this, the menus for all blocks were open and I could then access the system.  When I turned on the Developer tools for IE9, IE9 died .  I had to scan my system with CC Clean to fix that problem. 

My programmer tells me that he has no problems.  He has many of the same browsers and versions.  I have cleaned the temp files and many other basic maintenance tasks.  I even turned off Norton.  Nothing changes.  I’m really confused.  Since it is bothering my machines, you would think it is a problem with my computers.  It used to work just fine.  I’ve read some articles that lead me to believe it is my Moodle installation.  It is driving me nuts.  My programmer is hourly, so I can’t just send him out to look for a needle in a hay stack.  I’m hoping to get some solid leads.  Any ideas?

Thanks you
Terry

 
Average of ratings: -
Mary Cooch
Re: Moodle 2.4.1: Collapsible menus do not work.
Group Documentation writersGroup Moodle Course Creator Certificate holdersGroup Moodle HQGroup Particularly helpful MoodlersGroup TestersGroup Translators

I wonder if what you are experiencing is related to this? MDL-37610

 
Average of ratings: -
Picture of Howard Miller
Re: Moodle 2.4.1: Collapsible menus do not work.
Group DevelopersGroup Documentation writersGroup Particularly helpful Moodlers

If you have a programmer.... what has he changed?

Especially, if this is a custom theme, try again with the 'Standard' theme. If the problem goes away - it's the theme.

In IE - click F12 and make sure it hasn't dropped into Quirks mode or similar. Again, usually a sign of a broken plugin.

 
Average of ratings: -
Picture of Robert Saari
Re: Moodle 2.4.1: Collapsible menus do not work.
 

Try changing your Compatibility View wettings in IE9 and see if that helps.

 
Average of ratings: -
Picture of Terry martin
Re: Moodle 2.4.1: Collapsible menus do not work.
 

Thank you all for sending your comments.  So far, no luck.  It is the strangest thing.  I'm very frustrated and discouraged.  The Compatibility Mode suggestion did not work.  A friend suggesteed that I empty IE passwords, but that did nothing.  I'm going to do that again, but I will then reboot the entire system.  My programme, who is in another region of the State said his systems are working fine.  We have many of the same browsers and versions.  Thanks again and keep the suggestions coming in.  Something has to work.  Take care all!

Sincerely,

Terry

 
Average of ratings: -
Picture of Margaret Richards
Re: Moodle 2.4.1: Collapsible menus do not work.
 
I am struggling with this problem - I just upgraded from 2.3 to the most recent stable version of 2.4 and I can't open any collapsible menus (or add a resource in a course) unless I disable javascript. I've tried in IE, Firefox and Chrome and all have the same problem. I've spent 2 hours searching for a solution so please help!
 
Average of ratings: -
Picture of Julie Mohr
Re: Moodle 2.4.1: Collapsible menus do not work.
 

Terry,

Have you made any progress with this issue? I have a Moodle 1.9 installation that works fine. I have tried the most recent Moodle installation (2.6.1) - no ability to expand the menus. Then I deleted that installation and tried 2.5.4 - same issue. Having worked with 1.9 for years and had no problems, this is frustrating. None of the themes look right either.

I use 1&1 dedicated server and I use exclusively Mac computers to work with the Moodle installation.

I am frustrated beyond belief. If this is an issue with Java - what can I do?

 

Julie

 
Average of ratings: -
Picture of Jez H
Re: Moodle 2.4.1: Collapsible menus do not work.
Group Particularly helpful Moodlers

Try "purge all caches" in moodle and clearing your browser cache / history.

What you are seeing is usually caused by a malformed cache of yui scripts.

If you cannot open admin screens due to this error use the admin search feature To find the purge caches option.

 
Average of ratings: -
Picture of Julie Mohr
Re: Moodle 2.4.1: Collapsible menus do not work.
 

Jez,

Thank you for your response. I have tried the purge the caches. This is a brand new clean install with absolutely nothing modified or added. The only way that I can get to the administrative features is to turn off javascript in my browser. Then ALL the menus are completely expanded but I can use them. I have also noticed on this new installation that none of the themes that I apply actually change the colors. The layouts do change but I can't get the site to use any of the colors or themes that are installed in the base install. I am trying to figure out if this is a server issue. I have accessed from my Mac (using Firefox, Safari and Chrome) and from my PC at work and none of the browsers display the menu correctly. I have to suspect that it is a server issue not a client issue. I have a managed 1and1 server....they maintain it and who knows what they have installed or not installed.

I am so frustrated because I have a new job that I just got to become their training developer. I promised a campus....which normally takes me just minutes to install and customized and I can't even get the admin menus to work.....very disappointed. I will do anything at this point including leaving 1and1 where I have a Moodle installation that has been stable for the past five years. I love the platform and completely believe it the project and advancement of learning through technology.

Julie

 
Average of ratings: -
Just wondering . . .
Re: Moodle 2.4.1: Collapsible menus do not work.
Group Particularly helpful Moodlers

I am not an expert.  But there are a few things you have not mentioned.

Have you turned debugging on?

check:

Are you installing from a one click solution or from GIT or??  Depending on this, it may be worth buying some space in something like bluehost just for a trial.

Have you tried installing locally?

You are not alone, and the answer is still elusive.

Good luck.

-Derek

 

 

 

 
Average of ratings:Useful (1)
Picture of Julie Mohr
Re: Moodle 2.4.1: Collapsible menus do not work.
 

Derek,

First of all, thank you for taking the effort to share with me all of the related posts. Everyone seems to describe the problem differently and I had problems finding other related posts. I tried the modification to the

use slash arguments. I don't know what that is but the custom template appeared immediately on save and the menus are now expandable. It is hard to think that just this one setting caused all of those problems.

3. Change the Use slash arguments option --HTTP-- (Administration > Server > HTTP)
yoursite.com/admin/settings.php?section=http
I am always amazed at the power of this online community to help one another. I just wish I could repay the favor to others.
Thanks again Derek.
Julie
 
Average of ratings:Useful (1)
Picture of Jez H
Re: Moodle 2.4.1: Collapsible menus do not work.
Group Particularly helpful Moodlers

Ok there are admin settings for caching javascript and merging yui files into one single file, try playing with those settings and see if that makes any difference.

if you are not already using it switch to the standard theme for your version And see if that helps.

 
Average of ratings: -